Global preferences
OpenPublic

Description

Author: mike.lifeguard+bugs

Description:
Some method of having preferences set on one wiki apply to all would be helpful. This would be especially useful for those working across many wikis, who otherwise must set their preferences on 730+ wikis separately.


Version: unspecified
Severity: enhancement
URL: http://meta.wikimedia.org/wiki/Wikimedia_Forum/Archives/2008-11#Default_language_in_Special:Preferences_across_all_WMF_projects.3F
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=57891

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz14950.
bzimport created this task.Via LegacyJul 27 2008, 11:10 PM
bzimport added a comment.Via ConduitJul 27 2008, 11:16 PM

lilewyn wrote:

For languages, having a single checkbox ("Apply this language preference to all projects") might be nice. Have it reset after you apply it, so you can change individual language preferences later if you'd like.

Jidanni added a comment.Via ConduitOct 1 2008, 7:55 AM
  • Bug 15764 has been marked as a duplicate of this bug. ***
IAlex added a comment.Via ConduitOct 25 2008, 9:00 PM
  • Bug 16117 has been marked as a duplicate of this bug. ***
Raymond added a comment.Via ConduitDec 29 2008, 1:29 PM
  • Bug 16827 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitFeb 3 2009, 7:08 PM

Wiki.Melancholie wrote:

*** Bug 16986 has been marked as a duplicate of this bug. ***

Raymond added a comment.Via ConduitMar 17 2009, 6:48 PM
  • Bug 18021 has been marked as a duplicate of this bug. ***
werdna added a comment.Via ConduitApr 9 2009, 2:17 AM

Will hopefully implement this as part of the preferences work I'm doing.

werdna added a comment.Via ConduitApr 15 2009, 4:32 AM

Fixed in preferences-work branch.

bzimport added a comment.Via ConduitJul 27 2009, 2:01 AM

mike.lifeguard+bugs wrote:

(In reply to comment #8)

Fixed in preferences-work branch.

This got merged and is currently live on Wikimedia sites, right? I don't see any option to set preferences globally...

bzimport added a comment.Via ConduitJul 27 2009, 6:25 AM

FT2.wiki wrote:

(Copied from bug 19951)

This request is that now SUL is well established, it is enhanced to be a
genuine central account manager for the merged/SUL-ed accounts too. That is,
instead of [[Special:MergeAccount]], there is [[Special:Central Account
Management]] or the like.

This would have 2 tabs (a 3rd was suggested for email address management and confirmation, now withdrawn):

Tab #1 -- to view merged accounts and active projects, and demerge selected
accounts or add new merged accounts.

Tab #2 -- a central preferences tab, which would be the same as the usual
[[Special:Preferences]] but on each page buttons "set this as the default for
new accounts" and "export changed setting to all merged accounts".

Catrope added a comment.Via ConduitNov 6 2010, 2:14 PM
  • Bug 25810 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitNov 6 2010, 2:36 PM

rehman.wikimedia wrote:

(In reply to comment #10)

(Copied from bug 19951)

This request is that now SUL is well established, it is enhanced to be a
genuine central account manager for the merged/SUL-ed accounts too. That is,
instead of [[Special:MergeAccount]], there is [[Special:Central Account
Management]] or the like.

This would have 2 tabs (a 3rd was suggested for email address management and
confirmation, now withdrawn):

Tab #1 -- to view merged accounts and active projects, and demerge selected
accounts or add new merged accounts.

Tab #2 -- a central preferences tab, which would be the same as the usual
[[Special:Preferences]] but on each page buttons "set this as the default for
new accounts" and "export changed setting to all merged accounts".

Hi. I dont see any [[Special:Central Account Management]]. Has this proposal gone online?

Krinkle added a comment.Via ConduitNov 6 2010, 2:48 PM

(In reply to comment #12)

(In reply to comment #10)
> (Copied from bug 19951)
>
> This request is that now SUL is well established, it is enhanced to be a
> genuine central account manager for the merged/SUL-ed accounts too. That is,
> instead of [[Special:MergeAccount]], there is [[Special:Central Account
> Management]] or the like.
>
> This would have 2 tabs (a 3rd was suggested for email address management and
> confirmation, now withdrawn):
>
> Tab #1 -- to view merged accounts and active projects, and demerge selected
> accounts or add new merged accounts.
>
> Tab #2 -- a central preferences tab, which would be the same as the usual
> [[Special:Preferences]] but on each page buttons "set this as the default for
> new accounts" and "export changed setting to all merged accounts".

Hi. I dont see any [[Special:Central Account Management]]. Has this proposal
gone online?

As far as I can see, it's still a proposal and thus not been built yet.

Nemo_bis added a comment.Via ConduitJan 28 2011, 8:08 AM

I add bug 25029 as blocker because looks like we're not able to apply a preference to all databases.

bzimport added a comment.Via ConduitJan 29 2011, 12:15 AM

rehman.wikimedia wrote:

(In reply to comment #13)

As far as I can see, it's still a proposal and thus not been built yet.

Any idea when this will go online?

Side note: Along with the adding of this feature, and the completion of bug 4547, we could also enable a feature where, just like clicking a button to make settings global, clicking a button would update all the user's userpages on all wikis to transclude the user's userpage from Commons...

bzimport added a comment.Via ConduitMar 13 2011, 5:42 AM

rehman.wikimedia wrote:

What is the current status of this feature?

Has it gone online? If not, when will it go online?

Catrope added a comment.Via ConduitMar 13 2011, 3:39 PM

(In reply to comment #16)

What is the current status of this feature?

Has it gone online? If not, when will it go online?

It hasn't even been written yet.

MarkAHershberger added a comment.Via ConduitMar 22 2011, 1:00 AM
  • Bug 19161 has been marked as a duplicate of this bug. ***
MarkAHershberger added a comment.Via ConduitMar 23 2011, 5:01 AM
  • Bug 19161 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitFeb 15 2012, 7:19 PM

jeremias.np wrote:

what's the status on this? is anyone currently working on it?

heard from Andrew Garrett that it was reverted because there was no reasonable UI for it (http://www.mediawiki.org/wiki/Special:Code/MediaWiki/49932)

i'd be interested in taking this up as a project for GSoC (http://lists.wikimedia.org/pipermail/wikitech-l/2012-February/058141.html)

thanks

bzimport added a comment.Via ConduitMar 22 2012, 10:47 PM

sumanah wrote:

Hi, Jeremias! No, I think no one is working on it - please come into IRC with us and chat about it. Thanks!

Legoktm added a comment.Via ConduitDec 12 2013, 8:29 PM

I've done some work on this, see [[mw:Extension:GlobalPreferences]]. It's not even close to deployment-ready yet and needs UI love.

Aklapper added a comment.Via ConduitMar 11 2014, 2:49 PM

(In reply to Kunal Mehta (Legoktm) from comment #22)

I've done some work on this, see [[mw:Extension:GlobalPreferences]]. It's
not even close to deployment-ready yet and needs UI love.

legoktm: Now I'm tempted to assign this ticket to you. ;) Out of curiosity, are there long term plans to try getting GlobalPrefs deployed on Wikimedia sites?

Legoktm added a comment.Via ConduitMar 12 2014, 1:54 AM

In the long term, yes. I don't plan on working on the extension anytime soon though, so assigning the bug to me would probably just end up being cookie licking.

He7d3r awarded a token.Via WebNov 24 2014, 12:01 PM
He7d3r rescinded a token.
He7d3r awarded a token.
werdna removed a subscriber: werdna.Via WebDec 10 2014, 5:14 PM
Nemo_bis awarded a token.Via WebDec 12 2014, 8:01 AM
Kozuch awarded a token.Via WebDec 17 2014, 8:30 PM
Nemo_bis added a project: Epic.Via WebJan 2 2015, 7:00 PM
Nemo_bis set Security to None.

This task was mentioned in https://www.mediawiki.org/w/index.php?title=Outreach_programs/Possible_projects&oldid=1404823#Very_raw_projects as a possible candidate for Google Summer of Code or similar programs. Do you think it is a good candidate?

Qgil added a comment.Via WebFeb 11 2015, 1:44 PM

Wikimedia will apply to Google Summer of Code and Outreachy on Tuesday, February 17. If you want this task to become a featured project idea, please follow these instructions.

Qgil added a comment.Via WebFeb 16 2015, 11:30 PM

Do you think the size and complexity of this project makes it a good GSoC/Outreachy project?

Qgil lowered the priority of this task from "High" to "Normal".Via WebFeb 16 2015, 11:30 PM
Qgil moved this task to Need Discussion on the Possible-Tech-Projects workboard.
Legoktm added a comment.Via WebFeb 17 2015, 1:24 AM

To create an extension of sufficient quality to be deployed in WMF production (which IMO the end goal should be), there will need to be refactoring to the preferences system in core to make it easily extendable, as well as UX/design work to figure out a user interface that is sane and not scary. My general impression is that refactoring core will end up being most of the work and could easily take an experienced contributor more than 2-3 weeks.

NiharikaKohli added a subscriber: NiharikaKohli.Via WebFeb 17 2015, 3:06 AM

To create an extension of sufficient quality to be deployed in WMF production (which IMO the end goal should be), there will need to be refactoring to the preferences system in core to make it easily extendable, as well as UX/design work to figure out a user interface that is sane and not scary. My general impression is that refactoring core will end up being most of the work and could easily take an experienced contributor more than 2-3 weeks.

Could we make "Refactoring core" into a different project altogether, in that case? Maybe combine it with other smaller tasks to make it big enough for a GSoC/Outreachy project?

Jidanni removed a subscriber: Jidanni.Via WebFeb 17 2015, 3:17 AM
Legoktm added a comment.Via WebFeb 17 2015, 3:36 AM

Could we make "Refactoring core" into a different project altogether, in that case? Maybe combine it with other smaller tasks to make it big enough for a GSoC/Outreachy project?

Er sorry, I meant that I thought the refactoring core part would be too large/complicated for a GSoC project.

polybuildr added a subscriber: polybuildr.Via WebFeb 17 2015, 8:09 AM
Qgil added a comment.Via WebFeb 17 2015, 8:55 AM

Thank you for the quick feedback. I will remove this task from Possible-Tech-Projects, then.

Qgil removed a project: Possible-Tech-Projects.Via WebFeb 17 2015, 8:55 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.